%define upstream_name    Module-Versions-Report
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl module to report versions of all modules in memory
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

%description
Perl module to report versions of all modules in memory.
If you add "use Module::Versions::Report;" to a program (especially handy if 
your program is one that demonstrates a bug in some module), then when the 
program has finished running, you well get a report detailing the all 
modules in memory, and noting the version of each (for modules that 
defined a $VERSION, at least).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.60.0-11.mga10
+ Revision: 2215891
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 1.60.0-10.mga9
+ Revision: 1901182
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-9.mga8
+ Revision: 1495636
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-8.mga7
+ Revision: 1269576
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-7.mga6
+ Revision: 1030304
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-6.mga6
+ Revision: 943328
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 744331
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 685480
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 513110
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 370010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 13097
- imported package perl-Module-Versions-Report


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.0
+ Revision: 406171
- rebuild using %%perl_convert_version

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2009.1
+ Revision: 296795
- update to new version 1.06

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2009.0
+ Revision: 220144
- update to new version 1.05

* Sat Jun 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
+ Revision: 216585
- update to new version 1.04

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.03-1mdv2008.1
+ Revision: 136291
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 1.03-1mdv2008.0
+ Revision: 29061
- Update to new version 1.03

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.02-4mdv2008.0
+ Revision: 25297
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-3mdk
- Fix According to perl Policy
	- Source URL

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 1.02-2mdk
- Do not ship empty dir

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.02-1mdk
- First mandriva package

